#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main() {
    int n;
    cin >> n;

    vector<int> A(n), B(n);
    for (int i = 0; i < n; i++) {
        cin >> A[i];
    }
    for (int i = 0; i < n; i++) {
        cin >> B[i];
    }

    long long maxVrednost = 0;
    
    for (int L = 0; L < n; L++) {
        int xorSuma = 0;
        int andSuma = ~0;

        for (int R = L; R < n; R++) {
            xorSuma ^= A[R];
            andSuma &= B[R];

            long long trenutnaVrednost = (long long)xorSuma * andSuma;
            maxVrednost = max(maxVrednost, trenutnaVrednost);
        }
    }

    cout << maxVrednost << endl;

    return 0;
}